Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 06-07-07, 10:14 AM   #1
Delirium
Registered User
 
Join Date: Jun 2007
Posts: 3
Default Problem with compiling driver under kernel-2.6.22

With the newest version of kernel 2.6.22-rc4-33 under OpenSuse 10.2 I have problem with compiling drivers. I'v tried with all version of drivers I have: 9629, 9755 and 100.14.06.

Here is listing from nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Thu Jun 7 16:54:07 2007

option status:
license pre-accepted : false
update : false
force update : false
expert : false
uninstall : false
driver info : false
precompiled interfaces : true
no ncurses color : false
query latest version : false
OpenGL header files : true
no questions : false
silent : false
no recursion : false
no backup : false
kernel module only : false
sanity : false
add this kernel : false
no runlevel check : false
no network : false
no ABI note : false
no RPMs : false
no kernel module : false
force SELinux : default
no X server check : false
force tls : (not specified)
X install prefix : (not specified)
X library install path : (not specified)
X module install path : (not specified)
OpenGL install prefix : (not specified)
OpenGL install libdir : (not specified)
utility install prefix : (not specified)
utility install libdir : (not specified)
doc install prefix : (not specified)
kernel name : (not specified)
kernel include path : (not specified)
kernel source path : (not specified)
kernel output path : (not specified)
kernel install path : (not specified)
proc mount point : /proc
ui : (not specified)
tmpdir : /tmp
ftp mirror : ftp://download.nvidia.com
RPM file list : (not specified)

Using: nvidia-installer ncurses user interface
-> License accepted.
-> There appears to already be a driver installed on your system (version: 1.0-
9629). As part of installing this driver (version: 1.0-9629), the existing
driver will be uninstalled. Are you sure you want to continue? ('no' will a
bort installation) (Answer: Yes)
-> No precompiled kernel interface was found to match your kernel; would you li
ke the installer to attempt to download a kernel interface for your kernel f
rom the NVIDIA ftp site (ftp://download.nvidia.com)? (Answer: No)
-> No precompiled kernel interface was found to match your kernel; this means
that the installer will need to compile a new kernel interface.
-> Performing CC sanity check with CC="cc".
-> Performing CC version check with CC="cc".
-> Kernel source path: '/lib/modules/2.6.22-rc4-33-default/source'
-> Kernel output path: '/lib/modules/2.6.22-rc4-33-default/build'
-> Performing rivafb check.
-> Performing nvidiafb check.
-> Cleaning kernel module build directory.
executing: 'cd ./usr/src/nv; make clean'...
rm -f -f nv.o nv-vm.o os-agp.o os-interface.o os-registry.o nv-i2c.o nv.o nv
-vm.o os-agp.o os-interface.o os-registry.o nv-i2c.o nvidia.mod.o
rm -f -f build-in.o nv-linux.o *.d .*.{cmd,flags}
rm -f -f nvidia.{o,ko,mod.{o,c}} nv_compiler.h *~
rm -f -f stprof stprof.o symtab.h Modules.symvers
rm -f -rf .tmp_versions
-> Building kernel module:
executing: 'cd ./usr/src/nv; make module SYSSRC=/lib/modules/2.6.22-rc4-33-d
efault/source SYSOUT=/lib/modules/2.6.22-rc4-33-default/build'...

NVIDIA: calling KBUILD...
make CC=cc KBUILD_OUTPUT=/lib/modules/2.6.22-rc4-33-default/build KBUILD_VER
BOSE=1 -C /lib/modules/2.6.22-rc4-33-default/source SUBDIRS=/tmp/selfgz9766/
NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv modules
make -C /lib/modules/2.6.22-rc4-33-default/build \
KBUILD_SRC=/usr/src/linux-2.6.22-rc4-33 \
KBUILD_EXTMOD="/tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv" -
f /usr/src/linux-2.6.22-rc4-33/Makefile modules
test -e include/linux/autoconf.h -a -e include/config/auto.conf || ( \
echo; \
echo " ERROR: Kernel configuration is invalid."; \
echo " include/linux/autoconf.h or include/config/auto.conf are mis
sing."; \
echo " Run 'make oldconfig && make prepare' on kernel src to fix it
."; \
echo; \
/bin/false)
mkdir -p /tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv/.tmp_vers
ions
rm -f /tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv/.tmp_version
s/*
make -f /usr/src/linux-2.6.22-rc4-33/scripts/Makefile.build obj=/tmp/selfgz9
766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv
echo \#define NV_COMPILER \"`cc -v 2>&1 | tail -n 1`\" > /tmp/selfgz9766/NVI
DIA-Linux-x86-1.0-9629-pkg1/usr/src/nv/nv_compiler.h
cc -Wp,-MD,/tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv/.nv.o
.d -nostdinc -isystem /usr/lib/gcc/i586-suse-linux/4.1.2/include -D__KERNEL
__ -Iinclude -Iinclude2 -I/usr/src/linux-2.6.22-rc4-33/include -include incl
ude/linux/autoconf.h -I/tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/
src/nv -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -Werror-implicit-fun
ction-declaration -fno-strict-aliasing -fno-common -Os -pipe -msoft-float -m
regparm=3 -freg-struct-return -mpreferred-stack-boundary=2 -march=i586 -mtun
e=generic -ffreestanding -maccumulate-outgoing-args -DCONFIG_AS_CFI=1 -DCONF
IG_AS_CFI_SIGNAL_FRAME=1 -I/usr/src/linux-2.6.22-rc4-33/include/asm-i386/mac
h-generic -Iinclude/asm-i386/mach-generic -I/usr/src/linux-2.6.22-rc4-33/inc
lude/asm-i386/mach-default -Iinclude/asm-i386/mach-default -fomit-frame-poin
ter -fno-stac
k-protector -Wdeclaration-after-statement -Wno-pointer-sign -I/tmp/selfgz97
66/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv -Wall -Wimplicit -Wreturn-type
-Wswitch -Wformat -Wchar-subscripts -Wparentheses -Wpointer-arith -Wno-multi
char -Werror -O -fno-common -msoft-float -MD -Wsign-compare -Wno-cast-qual -
Wno-error -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE -DNVRM -DNV_MAJOR_VERS
ION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=9629 -UDEBUG -U_DEBUG -DNDEBUG -D
NV_SIGNAL_STRUCT_RLIM -DNV_MULTIPLE_BRIDGE_AGPGART_PRESENT -DNV_PCI_GET_CLAS
S_PRESENT -DNV_SYSCTL_MAX_MAP_COUNT_PRESENT -DNV_PM_MESSAGE_T_PRESENT -DNV_I
RQ_HANDLER_WITH_PTREGS_PRESENT -DNV_PCI_CHOOSE_STATE_PRESENT -DNV_VM_INSERT_
PAGE_PRESENT -DNV_OLD_MM_KGDB_BREAKPOINT_PRESENT -DNV_REMAP_PFN_RANGE_PRESEN
T -DNV_CHANGE_PAGE_ATTR_PRESENT -DNV_VMAP_4_PRESENT -DMODULE -D"KBUILD_STR(s
)=#s" -D"KBUILD_BASENAME=KBUILD_STR(nv)" -D"KBUILD_MODNAME=KBUILD_STR(nvidi
a)" -c -o /tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv/.tmp_nv.
o /tmp/selfgz9766/NVIDIA-Linux-x86-1
.0-9629-pkg1/usr/src/nv/nv.c
In file included from /usr/src/linux-2.6.22-rc4-33/include/linux/list.h:8,
from /usr/src/linux-2.6.22-rc4-33/include/linux/wait.h:22,
from include2/asm/semaphore.h:41,
from /usr/src/linux-2.6.22-rc4-33/include/linux/sched.h:59,
from /usr/src/linux-2.6.22-rc4-33/include/linux/utsname.h:3
5,
from /tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src
/nv/nv-linux.h:19,
from /tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src
/nv/nv.c:14:
/usr/src/linux-2.6.22-rc4-33/include/linux/prefetch.h: In function ‘prefet
ch_range’:
/usr/src/linux-2.6.22-rc4-33/include/linux/prefetch.h:62: warning: pointer o
f type ‘void *’ used in arithmetic
In file included from include2/asm/irq.h:15,
from /usr/src/linux-2.6.22-rc4-33/include/linux/irq.h:23,
from include2/asm/hardirq.h:5,
from /usr/src/linux-2.6.22-rc4-33/include/linux/hardirq.h:7
,
from /usr/src/linux-2.6.22-rc4-33/include/linux/interrupt.h
:11,
from /tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src
/nv/nv-linux.h:78,
from /tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src
/nv/nv.c:14:
/usr/src/linux-2.6.22-rc4-33/include/asm-i386/mach-default/irq_vectors.h:41:
42: warning: "/*" within comment
/usr/src/linux-2.6.22-rc4-33/include/asm-i386/mach-default/irq_vectors.h:102
:1: error: unterminated comment
/usr/src/linux-2.6.22-rc4-33/include/asm-i386/mach-default/irq_vectors.h:104
:23: warning: no newline at end of file
/usr/src/linux-2.6.22-rc4-33/include/asm-i386/mach-default/irq_vectors.h:62:
1: error: unterminated #ifndef
/usr/src/linux-2.6.22-rc4-33/include/asm-i386/mach-default/irq_vectors.h:22:
1: error: unterminated #ifndef
In file included from include2/asm/hardirq.h:5,
from /usr/src/linux-2.6.22-rc4-33/include/linux/hardirq.h:7
,
from /usr/src/linux-2.6.22-rc4-33/include/linux/interrupt.h
:11,
from /tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src
/nv/nv-linux.h:78,
from /tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src
/nv/nv.c:14:
/usr/src/linux-2.6.22-rc4-33/include/linux/irq.h: At top level:
/usr/src/linux-2.6.22-rc4-33/include/linux/irq.h:178: error: ‘NR_IRQS’ u
ndeclared here (not in a function)
In file included from /usr/src/linux-2.6.22-rc4-33/include/linux/interrupt.h
:11,
from /tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src
/nv/nv-linux.h:78,
from /tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src
/nv/nv.c:14:
/usr/src/linux-2.6.22-rc4-33/include/linux/hardirq.h:40:27: warning: "NR_IRQ
S" is not defined
/tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv/nv.c:110: warning:
‘kmem_cache_t’ is deprecated
/tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv/nv.c: In function
‘nv_kern_open’:
/tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv/nv.c:1848: warning
: ‘deprecated_irq_flag’ is deprecated (declared at /usr/src/linux-2.6.22
-rc4-33/include/linux/interrupt.h:66)
/tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv/nv.c:1848: warning
: ‘deprecated_irq_flag’ is deprecated (declared at /usr/src/linux-2.6.22
-rc4-33/include/linux/interrupt.h:66)
/tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv/nv.c:1849: warning
: passing argument 2 of ‘request_irq’ from incompatible pointer type
make[4]: *** [/tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src/nv/nv.o
] Error 1
make[3]: *** [_module_/tmp/selfgz9766/NVIDIA-Linux-x86-1.0-9629-pkg1/usr/src
/nv] Error 2
make[2]: *** [modules] Error 2
NVIDIA: left KBUILD.
nvidia.ko failed to build!
make[1]: *** [module] Error 1
make: *** [module] Error 2
-> Error.
ERROR: Unable to build the NVIDIA kernel module.
ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.


The same problem I had in previous kernel version (2.6.22-rc3-git2-47.1) but there was no problem with 9629 drivers. All other drivers were giving the same error. Is there any solution for this?
Delirium is offline   Reply With Quote
Old 06-07-07, 10:37 AM   #2
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: Problem with compiling driver under kernel-2.6.22

1.0-9629 is no longer supported. Please use 1.0-9755, 100.14.06 or 1.0-9639 depending on your GPU.
netllama is offline   Reply With Quote
Old 06-07-07, 01:11 PM   #3
ViN86
 
Join Date: Mar 2004
Posts: 15,486
Default Re: Problem with compiling driver under kernel-2.6.22

if you have the same problem after trying the next version, make sure your kernel source is maintained and all configs are placed in the correct locations and can be seen by the nvidia installer.
ViN86 is offline   Reply With Quote
Old 06-08-07, 02:49 AM   #4
Delirium
Registered User
 
Join Date: Jun 2007
Posts: 3
Default Re: Problem with compiling driver under kernel-2.6.22

netllama - as I wrote, under 2.6.22-rc3-git2-47.1 there was no problem only with 9629. All other versions (9755 and 100.14.06) give errors during compiling.

Under 2.6.22-rc4-33 no one of these a/m drivers is working.
Only downgrading kernel to 2.6.22-rc3-git2-29 gives oportunity to make 100.14.06 working well.

ViN86 - I checked if there is everything ok with kernel sources. It seems there is no problem - installation program is passing initial checks but shows errors in compiling procedure.
Delirium is offline   Reply With Quote
Old 06-08-07, 10:18 AM   #5
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: Problem with compiling driver under kernel-2.6.22

Please attach the installer log against a supported driver version.
netllama is offline   Reply With Quote
Old 06-10-07, 10:12 AM   #6
Delirium
Registered User
 
Join Date: Jun 2007
Posts: 3
Default Re: Problem with compiling driver under kernel-2.6.22

Finally I found reason why newest drivers won't to compile. It seems to be OpenSuse problem.

After upgrading kernel and kernel-sources rpms Nvidia driver installer see kernel sources and try to compile but it gives errors like in attachment.

After a few tries I found that forcing kernel-sources to install (by rpm -ihv --force) gives opportunity to compile drivers in right way (but only to next reboot). I don't know what is the reason but I think it is not directly conected with drivers functionality.
Attached Files
File Type: log nvidia-installer.log (52.9 KB, 96 views)
Delirium is offline   Reply With Quote
Old 06-10-07, 01:25 PM   #7
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: Problem with compiling driver under kernel-2.6.22

Yes, the errors in the nvidia-installer.log file suggest the kernel development files the module was being built against were in a bad state.
zander is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Corrupted display - 302.17 - Dell Precision T3500 (G98 [Quadro NVS 295]) gbailey NVIDIA Linux 1 06-27-12 10:24 AM
UEFI+Nvidia - NVRM: Your system is not currently configured to drive a VGA console... interzoneuk NVIDIA Linux 0 06-26-12 04:51 AM
xorg locks-up with newest nvidia drivers w/ vdpau. theroot NVIDIA Linux 1 06-24-12 11:04 AM
Getting the proprietary nvidia driver to run with Debian 3.0 r0 (woody) Katchina404 NVIDIA Linux 9 01-12-03 08:49 AM
NV kernel compiling problem Marius NVIDIA Linux 4 09-04-02 01:25 PM

All times are GMT -5. The time now is 01:26 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright ©1998 - 2014, nV News.